﻿#pragma strict 
#pragma downcast
//#pragma strict = forces typing for all variables.
//#pragma downcast = suppresses errors when general things (like hashtable elements) get used in specific ways.

import UnityEngine.UI; 

var contentIndex:int; 
var contentTextHash:Hashtable;
var titleTextHash:Hashtable;
var showContentHash:Hashtable;
var firstHash:int;
var lastHash:int;
var myContentPanel:GameObject;
var myNavigationBackground:GameObject;

function Start () {
	contentIndex = 1;
	contentTextHash = new Hashtable();
	titleTextHash = new Hashtable();
	showContentHash = new Hashtable();
	myContentPanel = GameObject.FindWithTag("contentTextPanel");
	myNavigationBackground = GameObject.FindWithTag("navigationBackground");
	
	contentTextHash.Add(1, "Content for Frame 1/n/nNew paragraph, <b>Can use HTML bold</b> or not.");
	titleTextHash.Add(1, "Frame 1, looks you can do <b>bold</b> or <i>italics</i> and <h1>headers</h1>.\n\nNew lines and cool stuff like that.");
	showContentHash.Add(1, true);
	
	contentTextHash.Add(2, "Blah blah blah 2");
	titleTextHash.Add(2, "Frame 2");
	showContentHash.Add(2, true);
	
	contentTextHash.Add(3, "Blah blah blah 3");
	titleTextHash.Add(3, "Frame 3");
	showContentHash.Add(3, true);
	
	contentTextHash.Add(4, "Blah blah blah 4");
	titleTextHash.Add(4, "Frame 4");
	showContentHash.Add(4, true);
	
	contentTextHash.Add(5, "Blah blah blah 5");
	titleTextHash.Add(5, "Frame 5");
	showContentHash.Add(5, true);
		
	contentTextHash.Add(6, "Blah blah blah 6");
	titleTextHash.Add(6, "Frame 6");
	showContentHash.Add(6, true);
		
	contentTextHash.Add(7, "Blah blah blah 7");
	titleTextHash.Add(7, "Frame 7");
	showContentHash.Add(7, true);
		
	contentTextHash.Add(8, "Blah blah blah 8");
	titleTextHash.Add(8, "Frame 8");
	showContentHash.Add(8, true);
		
	firstHash = 1;
	if(titleTextHash.Count != contentTextHash.Count) {
		Debug.Log("Warning: Title and Content are of a different length, this will break the navigation");
	}
	if (titleTextHash.Count != showContentHash.Count) {
		Debug.Log("Warning: Title and Show Content are of a different length, this will break the navigation");
	}
	lastHash = titleTextHash.Count;
}

function gotoAndStop(newHash:int) {
	contentIndex = newHash;
	updateGUI(showContentHash[contentIndex]);
	updateTitle(titleTextHash[contentIndex]);
}

//if you aren't at the end, go to the next piece of content.
function nextContent() {
	if(contentIndex < lastHash) {
		gotoAndStop(contentIndex + 1);
	}
}

//if you aren't at the beginning, go to the previous piece of content. WRITE THIS.

//go to the first piece of content. WRITE THIS.

//show/hide elements of the GUI and update text if relevant.
function updateGUI(hideShow:boolean) {
	//INCOMPLETE FUNCTION
}

function updateContent(newContent:String) {
	GameObject.FindWithTag("contentText").GetComponent(Text).text = newContent;
}

function updateTitle(newTitle:String) { 
    GameObject.FindWithTag("subTitleText").GetComponent(Text).text = newTitle;
}

function Update () {

}